%define api_version 2
%define lib_major 0

Summary:  ZVT - Zed's Virtual Terminal
Name:    libzvt
Version: 1.99999.0
Release: 1mdk
Source0: ftp://ftp.gnome.org/pub/GNOME/pre-gnome2/sources/%{name}-%{version}.tar.bz2
License: LGPL
URL: http://www.gnome.org/
Group: System/Libraries
BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot
BuildRequires: libgtk+2.0-devel
BuildRequires: libart_lgpl2-devel

%description
ZVT - Zed's Virtual Terminal


%package -n %{name}-%{api_version}_%{lib_major}
Summary:	%{summary}
Group:		%{group}
Requires:   %{name} >= %{version}
Provides:	%{name}-%{api_version} = %{version}-%{release}

%description -n %{name}-%{api_version}_%{lib_major}
ZVT - Zed's Virtual Terminal

%package -n %{name}-%{api_version}_%{lib_major}-devel
Summary:	Static libraries, include files for libzvt
Group:		Development/GNOME and GTK+
Provides:	%{name}-devel = %{version}-%{release}
Provides:	%{name}-%{api_version}-devel = %{version}-%{release}
Requires:	%{name}-%{api_version}_%{lib_major} = %{version}
Requires: libgtk+2.0-devel
Requires: libart_lgpl2-devel

%description -n %{name}-%{api_version}_%{lib_major}-devel
ZVT - Zed's Virtual Terminal

%prep
%setup -q

%build

%configure2_5x

%make

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall_std

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig -n %{name}-%{api_version}_%{lib_major}
%postun -p /sbin/ldconfig -n %{name}-%{api_version}_%{lib_major}

%files 
%defattr(-,root,root)
%{_sbindir}/*

%files -n %{name}-%{api_version}_%{lib_major}
%defattr(-,root,root)
%{_libdir}/*.so.*

%files -n %{name}-%{api_version}_%{lib_major}-devel
%defattr(-,root,root)
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/*.la
%{_libdir}/*.a
%{_libdir}/pkgconfig/*

%changelog
* Wed Jun 12 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.99999.0-1mdk
- Release 1.99999.0

* Wed Jun  5 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.117.0-1mdk
- Release 1.117.0

* Tue May 14 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.115.2-1mdk
- Release 1.115.2

* Mon Apr 22 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.114.0-1mdk
- Release 1.114.0

* Tue Mar 26 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.113.0-1mdk
- Initial Mdk package


# end of file
